For the complete documentation index, see llms.txt. This page is also available as Markdown.

List the pages affected by a documentation issue

Lists the site pages a documentation issue relates to. Use this to locate which page(s) to edit when fixing an issue manually instead of via triggerChangeRequestsForSiteFinding.

Available in MCP
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
200

List of pages linked to the site finding

application/json
countnumberOptional

Total count of objects in the list

get/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/pages
GET /v1/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/pages HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

List of pages linked to the site finding

{
  "next": {
    "page": "text"
  },
  "count": 1,
  "items": [
    {
      "object": "site-finding-page",
      "spaceId": "text",
      "page": {
        "id": "text",
        "type": "document",
        "title": "text",
        "path": "text"
      }
    }
  ]
}

Last updated

Was this helpful?